Bug 733142 - An error occurred when attempting to load an installer interface component
An error occurred when attempting to load an installer interface component
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
16
ppc64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F16Alphappc
  Show dependency treegraph
 
Reported: 2011-08-24 17:44 EDT by Mark Hamzy
Modified: 2012-03-14 09:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-22 11:56:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Hamzy 2011-08-24 17:44:13 EDT
Description of problem:
Booting Fedora-20110817-ppc64-netinst.iso with the following options

boot: linux vnc=1 serial

I see the following in the VNC window:

An error occurred when attempting to load an installer interface component.
className = KeyboardWindow

Also, on the terminal session, I see:

21:36:27 loading interface component KeyboardWindow
21:36:27 Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1237, in display_step
    loaded = imp.load_module(moduleName, *found)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/iw/kbd_gui.py", line 26, in <module>
    from keyboard_gui import childWindow as installKeyboardWindow
  File "/usr/share/system-config-keyboard/keyboard_gui.py", line 38, in <module>
    from firstboot.config import *
ImportError: No module named firstboot.config
Comment 1 Chris Lumens 2011-08-25 09:26:00 EDT
Does a firstboot package exist in your ppc64 tree?  If not, there's the problem.  If so, how are you composing the install images?  Is it with the standard lorax, or have you needed to modify it in some way?
Comment 2 Karsten Hopp 2011-08-25 11:06:52 EDT
We need to create the install images with the treebuilder branch of lorax. Otherwise we won't be able to boot at all as PPC machines can't handle the huge initrd.
A quick check reveals that firstboot is missing in ramdisk.tmpl in that branch.
Comment 3 Chris Lumens 2011-08-25 11:38:19 EDT
Yeah, this is wwoods being a little over-eager in his deletions.  It comes from d341587814ab9b98342dcaa50bdfc27ad520cc6b.
Comment 4 Will Woods 2011-08-30 11:23:04 EDT
fixed in commit 3f709325ef9d022dfd4a37ddf859ba5f726e8f13.

Note You need to log in before you can comment on or make changes to this bug.